package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class MyMvcController {
    @Autowired
    private HelloService helloService;

    @GetMapping(value = "/")
    public String sayHi(String name, Model model) {
        model.addAttribute("msg", helloService.getMessage(name));
        return "hello-page";
    }
}